Table of Contents
- Introduction
- Information Tags
- String Tags
- Variable Tags
- URL Tags
- If Tags
- Graphics Tags
- Database Tags

  | · Introduction · sqlquery · sqltable · sqloutput

- Programming Tags
- Supports System
- SSI
- htaccess
- Image Maps
- Appendix

<sqltable> |

`<sqltable>` is defined in the SQL module. Creates a HTML or ASCII table from the results of an SQL query.

Attributes |
ascii, host, query, quiet, parse,

Attributes

`ascii`
  Create an ASCII table rather than a HTML table. Useful for
  interacting with the `<diagram>` and `<tablify>`
  tags.

`host`=database
  Which database to connect to, usually a symbolic name.
  If omitted the default database will be used.

`query`
  The actual SQL-query.

`quiet`
  Do not show any errors in the page, in case the query fails.

`parse`
  If specified, the query will be parsed by the RXML parser.
  Useful if you wish to dynamically build the query.

Example

source code

    <tablify preparse nice>Country	Population
    <sqltable ascii host=test query="SELECT country, population FROM countries ORDER BY country">
    </tablify>

result

Country | Population
--- | ---

</dump_if not cookie=rxml-help>